Bug 18215 - Resolve warning on $tls in Database.pm
Summary: Resolve warning on $tls in Database.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on: 15427
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-06 09:40 UTC by Marcel de Rooy
Modified: 2017-12-07 22:17 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18215: Resolve warning on $tls in Database.pm (1016 bytes, patch)
2017-03-06 09:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18215: Resolve warning on $tls in Database.pm (1.05 KB, patch)
2017-03-06 10:38 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 18215: Resolve warning on $tls in Database.pm (1.05 KB, patch)
2017-03-06 13:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PUSHED] Bug 18215: Resolve warning on $tls in Database.pm (1.10 KB, patch)
2017-03-06 14:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18215: Fix another tls warning (1.19 KB, patch)
2017-03-10 08:21 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18215: Third case which was missed. (1003 bytes, patch)
2017-03-10 20:06 UTC, M. Tompsett
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-03-06 09:40:04 UTC
updatedatabase.pl: Use of uninitialized value $tls in string eq at /usr/share/koha/masterclone/Koha/Database.pm line 63.
Comment 1 Marcel de Rooy 2017-03-06 09:41:36 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2017-03-06 10:38:15 UTC
Created attachment 60832 [details] [review]
Bug 18215: Resolve warning on $tls in Database.pm

Resolve this warning:
updatedatabase.pl: Use of uninitialized value $tls in string eq at /usr/share/koha/masterclone/Koha/Database.pm line 63.

Test plan:
[1] Check if you do not see the warning anymore.

Signed-off-by: Magnus Enger <magnus@libriotech.no>
Warning disappears after applying the patch.
Comment 3 Kyle M Hall 2017-03-06 13:36:32 UTC
Created attachment 60844 [details] [review]
Bug 18215: Resolve warning on $tls in Database.pm

Resolve this warning:
updatedatabase.pl: Use of uninitialized value $tls in string eq at /usr/share/koha/masterclone/Koha/Database.pm line 63.

Test plan:
[1] Check if you do not see the warning anymore.

Signed-off-by: Magnus Enger <magnus@libriotech.no>
Warning disappears after applying the patch.
Comment 4 Kyle M Hall 2017-03-06 13:37:03 UTC
Pushed to master for 17.05, thanks Marcel!
Comment 5 Kyle M Hall 2017-03-06 14:10:54 UTC
Created attachment 60846 [details] [review]
[PUSHED] Bug 18215: Resolve warning on $tls in Database.pm

Resolve this warning:
updatedatabase.pl: Use of uninitialized value $tls in string eq at /usr/share/koha/masterclone/Koha/Database.pm line 63.

Test plan:
[1] Check if you do not see the warning anymore.

Signed-off-by: Magnus Enger <magnus@libriotech.no>
Warning disappears after applying the patch.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Marcel de Rooy 2017-03-10 08:21:42 UTC
Created attachment 60975 [details] [review]
Bug 18215: Fix another tls warning

Resolve warning:
Use of uninitialized value in string eq at C4/Installer.pm line 79.

Test plan:
Add a trivial .sql file in atomicupdate (comment is sufficient).
Run updatedatabase.pl
Without the patch you have the warning.
Apply the patch and repeat (no warning).

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2017-03-10 08:23:04 UTC
Kyle: Please push the second patch.
Comment 8 M. Tompsett 2017-03-10 19:42:26 UTC Comment hidden (obsolete)
Comment 9 M. Tompsett 2017-03-10 20:06:56 UTC
Created attachment 61005 [details] [review]
Bug 18215: Third case which was missed.

Git install old-school style a pre-tls koha
Drop the DB
Create the DB
change branch to master
Run a web install.

NOTE: found with git grep "['\"]tls['\"]"
Comment 10 Katrin Fischer 2017-03-14 16:31:39 UTC
Depends on enh bug 15427 that is not in 16.11.x.
Comment 11 Marcel de Rooy 2017-03-14 17:25:15 UTC
Katrin: This was Passed QA. So you should not close it. Just wait until all patches have been pushed and the status has been changed.
Comment 12 Katrin Fischer 2017-03-15 10:17:04 UTC
Sorry, missed that you weren't finished here when looking over this.
Comment 13 Brendan Gallagher 2017-03-23 12:04:39 UTC
Pushed the following two followups..  Brendan
Comment 14 Katrin Fischer 2017-03-26 20:52:07 UTC
Depends on bug 15427 which is not in 16.11.x.